org.codehaus.groovy.control.customizers

## Class CompilationCustomizer

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
  - - org.codehaus.groovy.control.customizers.CompilationCustomizer

- Direct Known Subclasses:
    DelegatingCustomizer, ImportCustomizer, SecureASTCustomizer

      public abstract class CompilationCustomizer
      extends CompilationUnit.PrimaryClassNodeOperation

  Users wanting to customize the configuration process such as adding imports, restricting the language features or apply AST transformations by default should implement this class, then call the `CompilerConfiguration.addCompilationCustomizers(CompilationCustomizer...)` method.
  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationCustomizer(CompilePhase phase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilePhase` | `getPhase()`

    - ### Methods inherited from class org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

      `call, needSortedInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationCustomizer

          public CompilationCustomizer(CompilePhase phase)

  - ### Method Detail

    - #### getPhase

          public CompilePhase getPhase()